import { type Base, genBase } from "./_base"

export interface Unit extends Base {
  code: string
  name: string
  installation_id?: number | string | null
}

export function genUnit(): Unit {
  return {
    ...genBase(),
    code: '',
    name: '',
    installation_id: 0,
  }
}
